> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Versions

> Return the stored version snapshots for an agent. Pass ?includeData=true to embed full snapshots.



## OpenAPI

````yaml get /api/v2/agent/{agentId}/versions
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/agent/{agentId}/versions:
    get:
      tags:
        - Agents
      summary: List Agent Versions
      description: >-
        Return the stored version snapshots for an agent. Pass ?includeData=true
        to embed full snapshots.
      parameters:
        - name: agentId
          in: path
          required: true
          schema:
            type: string
          description: Agent Id to inspect
          example: campa3cfdc312750b193de0...
        - name: includeData
          in: query
          description: >-
            If true the response includes the entire snapshot JSON for each
            version.
          required: false
          example: 'true'
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  versions:
                    type: array
                    items:
                      type: object
                      properties:
                        title:
                          type: string
                          example: Auto-1750194180352
                        versionId:
                          type: integer
                          example: 1750194180352
                        snapshot:
                          type: object
                          description: Only present when includeData=true
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````